SilverLabs.SilverSHELL.Auth.Core by: SilverLabs
  • 3.656k total downloads
  • Latest version: 1.2.1
  • blazor authentication module silverlabs auth core
Core authentication module for SilverSHELL - provides login/logout functionality, shared services, and authentication infrastructure. Required dependency for all other SilverSHELL auth modules.
SilverLabs.SilverSHELL.Auth.Login by: SilverLabs
  • 18 total downloads
  • Latest version: 1.0.0
  • blazor authentication module silverlabs auth login
Login and logout module for SilverSHELL - provides authentication UI and session management.
SilverLabs.SilverSHELL.Auth.MyAccount by: SilverLabs
  • 33 total downloads
  • Latest version: 1.14.0
  • blazor authentication module silverlabs auth MyAccount
User account management module - provides profile, privacy, and session management UI.
SilverLabs.SilverSHELL.Auth.PgpAdmin by: SilverLabs
  • 18 total downloads
  • Latest version: 1.0.0
  • blazor authentication module silverlabs auth pgp admin
Admin module for PGP identity management - provides dashboard, user key management, audit logs, and policy configuration.
SilverLabs.SilverSHELL.Auth.Registration by: SilverLabs
  • 26 total downloads
  • Latest version: 1.14.0
  • blazor authentication module silverlabs auth Registration
User registration module for SilverSHELL - provides signup UI and user creation.
SilverLabs.SilverSHELL.Auth.UserManagement by: SilverLabs
  • 13 total downloads
  • Latest version: 1.0.0
  • blazor authentication module silverlabs auth usermanagement admin
Administrative user management module - provides user administration UI for admins.
SilverLabs.SilverSHELL.Calendar by: SilverLabs
  • 2.201k total downloads
  • Latest version: 1.14.0
Centralised calendar module for SilverSHELL Passport users. Provides CalDAV (RFC 4791) server, iCalendar (RFC 5545) storage, Blazor calendar UI, and free/busy queries. Native iOS Calendar and third-party CalDAV clients supported.
SilverLabs.SilverSHELL.Commerce.Abstractions by: SilverLabs
  • 16 total downloads
  • Latest version: 1.0.0
  • silvershell commerce payment abstractions
Shared abstractions and interfaces for SilverSHELL Commerce payment providers
SilverLabs.SilverSHELL.Commerce.Admin by: SilverLabs
  • 14 total downloads
  • Latest version: 1.0.0
  • silvershell module commerce admin ams
Commerce Admin Module for SilverSHELL — Product, Order, Customer, and Inventory Management
SilverLabs.SilverSHELL.Commerce.Public by: SilverLabs
  • 550 total downloads
  • Latest version: 1.0.0
  • silvershell module commerce storefront shop ams
Commerce Public Storefront Module for SilverSHELL — Product catalog, shopping cart, and checkout
SilverLabs.SilverSHELL.Commerce.SilverDotPay by: SilverLabs
  • 16 total downloads
  • Latest version: 1.0.0
  • silvershell module commerce payment cryptocurrency escrow silverdotpay
SilverDotPay cryptocurrency payment provider for SilverSHELL Commerce with escrow support
SilverLabs.SilverSHELL.Contacts by: SilverLabs
  • 2.207k total downloads
  • Latest version: 1.14.0
Centralised address book module for SilverSHELL Passport users. Provides CardDAV (RFC 6352) server, vCard 4.0 storage, and Blazor contacts UI. Integrates with SilverDESK Webmail for address autocomplete.
SilverLabs.SilverSHELL.Controls by: SilverLabs
  • 5.984k total downloads
  • Latest version: 1.15.0
  • blazor ui components controls datagrid list radzen silverlabs
Advanced reusable UI controls for Blazor applications. Features high-performance dynamic lists with view management, persistence, plugin system, and elegant progressive disclosure UI. Built on Radzen.Blazor.
SilverLabs.SilverSHELL.Controls.Query by: SilverLabs
  • 1.429k total downloads
  • Latest version: 1.15.0
  • blazor query paging filtering silverlabs
Wire types, querystring codec and IQueryable translator for SsDynamicList query pushdown. No UI or data-access dependencies.
SilverLabs.SilverSHELL.Deployment.Admin by: SilverLabs
  • 29 total downloads
  • Latest version: 1.0.1
  • silvershell deployment admin multi-domain
Deployment Administration for SilverSHELL — configure deployment mode, products, and domain profiles
SilverLabs.SilverSHELL.DevOps by: SilverLabs
  • 26 total downloads
  • Latest version: 1.0.1
DevOps module for SilverSHELL — sample/reference IAppModule implementation.
SilverLabs.SilverSHELL.DynamicForms by: SilverLabs
  • 1.774k total downloads
  • Latest version: 1.14.0
Multi-tenant dynamic forms platform for SilverSHELL — declarative form definitions, idempotent action handlers, EF-level tenant isolation. Reference data lives in the module's own DbContext (schema silvershell_dynamicforms); cross-cutting consumers use SilverLabs.SilverSHELL.DynamicForms.Abstractions.
SilverLabs.SilverSHELL.DynamicForms.Abstractions by: SilverLabs
  • 5.666k total downloads
  • Latest version: 1.16.0
Public contracts (DTOs, enums, IFormActionHandler, IDynamicFormsTenantContext) for the SilverSHELL.DynamicForms multi-tenant module. Reference this from any consumer that needs to declare a form action handler or read DynamicForms DTOs without taking the full module dependency.
SilverLabs.SilverSHELL.DynamicForms.UI by: SilverLabs
  • 1.941k total downloads
  • Latest version: 1.2.0
Blazor UI components for the SilverSHELL.DynamicForms multi-tenant module: SsDynamicFormRenderer, SsFormDesigner, SsSubmissionListView, SsSubmissionDetailView, SsSubmissionAuditTimeline, plus the typed-HttpClient REST implementation of IDynamicFormsClient.
SilverLabs.SilverSHELL.Email.Admin by: SilverLabs
  • 30 total downloads
  • Latest version: 1.0.1
  • silvershell module email admin ams
Email Administration Module for SilverSHELL — email queue management and monitoring